#include <glib.h>
#include <check.h>
#include <sys/types.h>
#include <sys/time.h>
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <merc.h>
#include <recycle.h>
#include "lurfcheck.h"
 
extern  void init_memory_chunck args(());
extern  void destroy_memory_chunck args(());

int main (void) 
{ 
  int nf; 
  init_memory_chunck();
  
  Suite *otest = objtest_suite (); 
  Suite *sighttest = sighttest_suite (); 
  
  SRunner *sr = srunner_create (otest);
  
  srunner_add_suite(sr, sighttest);
  //srunner_set_fork_status (sr, CK_NOFORK); 
  srunner_run_all (sr, CK_NORMAL); 
  
  nf = srunner_ntests_failed (sr); 
  srunner_free (sr); 
  suite_free (otest); 
  suite_free (sighttest);
  
  destroy_memory_chunck(); 
  
  return (nf == 0) ? EXIT_SUCCESS : EXIT_FAILURE; 
}
