#include <glib.h>
#include <check.h>
#include <sys/types.h>
#include <sys/time.h>
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <merc.h>
#include <recycle.h>
#include "lurfcheck.h"


void init_memory_chunck args(());
void destroy_memory_chunck args(());

START_TEST(test_create) 
{ 
	OBJ_DATA *obj;
	obj = new_obj();
	fail_unless (obj != NULL, "Object Came Back Null");
	fail_unless (obj->next_content == NULL, "Not null content on creation");
	free_obj(obj);
	 
}
END_TEST

Suite *objtest_suite (void) 
{ 
  Suite *s = suite_create ("Lurking Fear"); 
  TCase *tc_core = tcase_create ("Object");
 
  suite_add_tcase (s, tc_core);
 
  tcase_add_test (tc_core, test_create); 
  return s; 
}


