/***************************************************************************
 *  Original Diku Mud copyright (C) 1990, 1991 by Sebastian Hammer,        *
 *  Michael Seifert, Hans Henrik St{rfeldt, Tom Madsen, and Katja Nyboe.   *
 *                                                                         *
 *  Merc Diku Mud improvments copyright (C) 1992, 1993 by Michael          *
 *  Chastain, Michael Quan, and Mitchell Tse.                              *
 *                                                                         *
 *  In order to use any part of this Merc Diku Mud, you must comply with   *
 *  both the original Diku license in 'license.doc' as well the Merc       *
 *  license in 'license.txt'.  In particular, you may not remove either of *
 *  these copyright notices.                                               *
 *                                                                         *
 *  Much time and thought has gone into this software and you are          *
 *  benefitting.  We hope that you share your changes too.  What goes      *
 *  around, comes around.                                                  *
 ***************************************************************************/
/*
 * Command functions.
 * Defined in act_*.c (mostly).
 */
DECLARE_DO_FUN( do_area_report	     );
DECLARE_DO_FUN( do_chomp	     );
DECLARE_DO_FUN( do_cset		     );
DECLARE_DO_FUN( do_planewalk	 );
DECLARE_DO_FUN( do_wraith	     );
DECLARE_DO_FUN( do_killme	     );
DECLARE_DO_FUN( do_anon_desc     );
DECLARE_DO_FUN(	do_hunter        );
DECLARE_DO_FUN(	do_penalty_renown);
DECLARE_DO_FUN(	do_sidestep      );
DECLARE_DO_FUN(	do_imm_stake     );
DECLARE_DO_FUN(	do_slots         );
DECLARE_DO_FUN(	do_learndisc     );
DECLARE_DO_FUN(	do_high_dice     );
DECLARE_DO_FUN(	do_lflame        );
DECLARE_DO_FUN(	do_spwrath       );
DECLARE_DO_FUN(	do_mindblock     );
DECLARE_DO_FUN(	do_lunaavenger   );
DECLARE_DO_FUN(	do_fbite         );
DECLARE_DO_FUN(	do_bsong         );
DECLARE_DO_FUN(	do_gift_of_the_spriggian );
DECLARE_DO_FUN(	do_howlban       );
DECLARE_DO_FUN(	do_brage         );
DECLARE_DO_FUN(	do_wtalon        );
DECLARE_DO_FUN(	do_gorgon        );
DECLARE_DO_FUN(	do_pet           );
DECLARE_DO_FUN(	do_dissolve      );
DECLARE_DO_FUN(	do_petdrink      );
DECLARE_DO_FUN(	do_petfeed       );
DECLARE_DO_FUN(	do_learn_gift    );
DECLARE_DO_FUN(	do_pettrain      );
DECLARE_DO_FUN(	do_petscore      );
DECLARE_DO_FUN(	do_makepet       );
DECLARE_DO_FUN(	do_checkld       );
DECLARE_DO_FUN(	do_pbackup       );
DECLARE_DO_FUN(	do_mage_sspirit  );
DECLARE_DO_FUN(	do_callspirits   );
DECLARE_DO_FUN(	do_confusemind   );
DECLARE_DO_FUN(	do_squarecircle  );
DECLARE_DO_FUN(	do_mregen		 );
DECLARE_DO_FUN(	do_darksight	 );
DECLARE_DO_FUN(	do_falsepride	 );
DECLARE_DO_FUN(	do_taintmind	 );
DECLARE_DO_FUN(	do_diablerize	 );
DECLARE_DO_FUN(	do_entrancement	 );
DECLARE_DO_FUN(	do_spit			 );
DECLARE_DO_FUN(	do_bonecraft	 );
DECLARE_DO_FUN(	do_changeling	 );
DECLARE_DO_FUN(	do_hice			 );
DECLARE_DO_FUN(	do_safe_room	 );
DECLARE_DO_FUN(	chbreeed_form	 );
DECLARE_DO_FUN(	do_perm_renown	 );
DECLARE_DO_FUN(	do_give_renown	 );
DECLARE_DO_FUN(	do_trait 		 );
DECLARE_DO_FUN(	do_ftouch		 );
DECLARE_DO_FUN(	do_autoprotect	 );
DECLARE_DO_FUN(	do_hand			 );
DECLARE_DO_FUN(	do_loyalty		 );
DECLARE_DO_FUN(	do_wiznet		 );
DECLARE_DO_FUN(	do_bad_name		 );
DECLARE_DO_FUN(	do_list_oowners  );
DECLARE_DO_FUN(	do_mxpecho 		 );
DECLARE_DO_FUN(	do_bash			 );
DECLARE_DO_FUN(	do_rollover		 );
DECLARE_DO_FUN(	do_callduty		 );
DECLARE_DO_FUN(	do_spburrow		 );

DECLARE_DO_FUN(	do_conditioning	 );
DECLARE_DO_FUN(	do_pigeon	 );
DECLARE_DO_FUN(	do_beckon	 );
DECLARE_DO_FUN(	do_serenity	 );
DECLARE_DO_FUN(	do_sharespirit   );
DECLARE_DO_FUN(	do_unveil	 );
DECLARE_DO_FUN(	do_mirrorimage   );
DECLARE_DO_FUN(	do_formillusion  );
DECLARE_DO_FUN(	do_cloneobject   );
DECLARE_DO_FUN(	do_rename	 );
DECLARE_DO_FUN(	do_control	 );
DECLARE_DO_FUN(	do_guardian	 );
DECLARE_DO_FUN(	do_fear          );
DECLARE_DO_FUN(	do_portal	 );
DECLARE_DO_FUN(	do_soultwist	 );
DECLARE_DO_FUN(	do_curse         );
DECLARE_DO_FUN(	do_scream	 );
DECLARE_DO_FUN(	do_beastwithin	 );
DECLARE_DO_FUN(	do_mud_config	);

DECLARE_DO_FUN(	do_flag_rp	);
DECLARE_DO_FUN(	do_accept	);
DECLARE_DO_FUN(	do_powers	);
DECLARE_DO_FUN(	do_list_skills	);
DECLARE_DO_FUN(	do_check_string	);
DECLARE_DO_FUN(	do_agony	);
DECLARE_DO_FUN(	do_fleshcraft	);
DECLARE_DO_FUN(	do_zuloform	);
DECLARE_DO_FUN(	do_breath	);
DECLARE_DO_FUN(	do_marble	);
DECLARE_DO_FUN(	do_earthmeld	);
DECLARE_DO_FUN(	do_disease	);
DECLARE_DO_FUN(	do_activate	);
DECLARE_DO_FUN(	do_affects 	);
DECLARE_DO_FUN(	do_playwave 	);
DECLARE_DO_FUN(	do_alignment	);
DECLARE_DO_FUN( do_alia         );
DECLARE_DO_FUN( do_alias        );
DECLARE_DO_FUN( do_spiralbow    );
DECLARE_DO_FUN( do_unalias      );
DECLARE_DO_FUN( do_prefi        );
DECLARE_DO_FUN( do_prefix       );
DECLARE_DO_FUN(	do_allow	);
DECLARE_DO_FUN(	do_ignore	);
DECLARE_DO_FUN(	do_vlist	);
DECLARE_DO_FUN(	do_anarch	);
DECLARE_DO_FUN(	do_ansi		);
DECLARE_DO_FUN(	do_answer	);
DECLARE_DO_FUN(	do_antitribu);
DECLARE_DO_FUN(	do_showfight);
DECLARE_DO_FUN(	do_areas	);
DECLARE_DO_FUN(	do_artifact	);
DECLARE_DO_FUN(	do_at		);
DECLARE_DO_FUN(	do_auto    	);
DECLARE_DO_FUN(	do_autodamage   );
DECLARE_DO_FUN(	do_autoexit	);
DECLARE_DO_FUN(	do_autoloot	);
DECLARE_DO_FUN(	do_autosac	);
DECLARE_DO_FUN(	do_autosave	);
DECLARE_DO_FUN(	do_autostance   );
DECLARE_DO_FUN(	do_avatar       );
DECLARE_DO_FUN(	do_backstab	);
DECLARE_DO_FUN(	do_bamfin	);
DECLARE_DO_FUN(	do_bamfout	);
DECLARE_DO_FUN(	do_ban		);
DECLARE_DO_FUN(	do_beastlike	);
DECLARE_DO_FUN(	do_berserk	);
DECLARE_DO_FUN(	do_bind		);
DECLARE_DO_FUN(	do_birth	);
DECLARE_DO_FUN(	do_bite		);
DECLARE_DO_FUN(	do_blank	);
DECLARE_DO_FUN(	do_blindfold	);
DECLARE_DO_FUN(	do_bloodline	);
DECLARE_DO_FUN(	do_brandish	);
DECLARE_DO_FUN(	do_breakup	);
DECLARE_DO_FUN(	do_brief	);
DECLARE_DO_FUN(	do_bug		);
DECLARE_DO_FUN(	do_essence	);
DECLARE_DO_FUN(	do_buy		);
DECLARE_DO_FUN(	do_call		);
DECLARE_DO_FUN(	do_calm		);
DECLARE_DO_FUN(	do_cast		);
DECLARE_DO_FUN(	do_change	);
DECLARE_DO_FUN(	do_changelight	);
DECLARE_DO_FUN(	do_channels	);
DECLARE_DO_FUN(	do_chat	);
DECLARE_DO_FUN(	do_fvlist	);
DECLARE_DO_FUN(	do_cgossip      );
DECLARE_DO_FUN(	do_claim	);
DECLARE_DO_FUN(	do_clandisc	);
DECLARE_DO_FUN(	do_show_clan_info);
DECLARE_DO_FUN(	do_silent       );
DECLARE_DO_FUN(	do_weaken       );
DECLARE_DO_FUN(	do_clanname	);
DECLARE_DO_FUN(	do_claw		);
DECLARE_DO_FUN(	do_claws	);
DECLARE_DO_FUN(	do_nocturn	);
DECLARE_DO_FUN(	do_ooc 	);
DECLARE_DO_FUN(	do_ahriman	);
DECLARE_DO_FUN(	do_abyss	);
DECLARE_DO_FUN(	do_close	);
DECLARE_DO_FUN(	do_command	);
DECLARE_DO_FUN(	do_commands	);
DECLARE_DO_FUN(	do_compare	);
DECLARE_DO_FUN(	do_complete	);
DECLARE_DO_FUN(	do_config	);
DECLARE_DO_FUN(	do_consent	);
DECLARE_DO_FUN(	do_consider	);
DECLARE_DO_FUN(	do_cprompt	);
DECLARE_DO_FUN(	do_crack	);
DECLARE_DO_FUN(	do_create	);
DECLARE_DO_FUN(	do_credits	);
DECLARE_DO_FUN(	do_darkheart	);
DECLARE_DO_FUN(	do_decapitate	);
DECLARE_DO_FUN(	do_delet	);
DECLARE_DO_FUN(	do_delete       );
DECLARE_DO_FUN(	do_deny		);
DECLARE_DO_FUN(	do_description	);
DECLARE_DO_FUN(	do_diagnose	);
DECLARE_DO_FUN(	do_dismount	);
DECLARE_DO_FUN(	do_disarm	);
DECLARE_DO_FUN(	do_disconnect	);
DECLARE_DO_FUN(	do_divorce	);
DECLARE_DO_FUN(	do_notag        );
DECLARE_DO_FUN(	do_tag          );
DECLARE_DO_FUN(	do_donate	);
DECLARE_DO_FUN(	do_down		);
DECLARE_DO_FUN(	do_draw		);
DECLARE_DO_FUN(	do_drink	);
DECLARE_DO_FUN(	do_drop		);
DECLARE_DO_FUN(	do_ntrust	);
DECLARE_DO_FUN(	do_map		);
DECLARE_DO_FUN(	do_offer	);
DECLARE_DO_FUN(	do_offersoul	);
DECLARE_DO_FUN(	do_omni		);
DECLARE_DO_FUN(	do_grant	);
DECLARE_DO_FUN(	do_east		);
DECLARE_DO_FUN(	do_eat		);
DECLARE_DO_FUN(	do_echo		);
DECLARE_DO_FUN(	do_empty	);
DECLARE_DO_FUN(	do_escape	);
DECLARE_DO_FUN(	do_email	);
DECLARE_DO_FUN(	do_emote	);
DECLARE_DO_FUN(	do_enter	);
DECLARE_DO_FUN(	do_equipment	);
DECLARE_DO_FUN(	do_evileye	);
DECLARE_DO_FUN(	do_examine	);
DECLARE_DO_FUN(	do_exits	);
DECLARE_DO_FUN(	do_familiar	);
DECLARE_DO_FUN(	do_fangs	);
DECLARE_DO_FUN(	do_favour	);
DECLARE_DO_FUN(	do_fcommand	);
DECLARE_DO_FUN(	do_murmur	);
DECLARE_DO_FUN(	do_feed		);
DECLARE_DO_FUN(	do_fightstyle	);
DECLARE_DO_FUN(	do_fileupdate	);
DECLARE_DO_FUN(	do_fill		);
DECLARE_DO_FUN(	do_finger	);
DECLARE_DO_FUN(	do_flee		);
DECLARE_DO_FUN(	do_flex		);
DECLARE_DO_FUN(	do_follow	);
DECLARE_DO_FUN(	do_force	);
DECLARE_DO_FUN(	do_forceauto	);
DECLARE_DO_FUN(	do_freeze	);
DECLARE_DO_FUN(	do_gag		);
DECLARE_DO_FUN(	do_garou	);
DECLARE_DO_FUN(	do_get		);
DECLARE_DO_FUN(	do_ghoul	);
DECLARE_DO_FUN(	do_gift		);
DECLARE_DO_FUN(	do_gifts	);
DECLARE_DO_FUN(	do_give		);
DECLARE_DO_FUN(	do_godless	);
DECLARE_DO_FUN(	do_goto		);
DECLARE_DO_FUN(	do_group	);
DECLARE_DO_FUN(	do_gtell	);
DECLARE_DO_FUN(	do_help		);
DECLARE_DO_FUN(	do_hide		);
DECLARE_DO_FUN(	do_holylight	);
DECLARE_DO_FUN(	do_home		);
DECLARE_DO_FUN(	do_howl		);
DECLARE_DO_FUN(	do_huh		);
DECLARE_DO_FUN(	do_humanform	);
DECLARE_DO_FUN(	do_humanity	);
DECLARE_DO_FUN(	do_hunt		);
DECLARE_DO_FUN(	do_hurl		);
DECLARE_DO_FUN(	do_immune	);
DECLARE_DO_FUN(	do_immtalk	);
DECLARE_DO_FUN( do_incog        );
DECLARE_DO_FUN(	do_inconnu	);
DECLARE_DO_FUN(	do_induct 	);
DECLARE_DO_FUN(	do_info		);
DECLARE_DO_FUN(	do_mspoff	);
DECLARE_DO_FUN(	do_introduce	);
DECLARE_DO_FUN(	do_outfit	);
DECLARE_DO_FUN(	do_inventory	);
DECLARE_DO_FUN(	do_invis	);
DECLARE_DO_FUN(	do_kick		);
DECLARE_DO_FUN(	do_kill		);
DECLARE_DO_FUN(	do_killperson	);
DECLARE_DO_FUN(	do_list		);
DECLARE_DO_FUN(	do_locate	);
DECLARE_DO_FUN(	do_lock		);
DECLARE_DO_FUN(	do_log		);
DECLARE_DO_FUN(	do_logout       );
DECLARE_DO_FUN(	do_look		);
DECLARE_DO_FUN(	do_majesty	);
DECLARE_DO_FUN(	do_marry	);
DECLARE_DO_FUN(	do_mask		);
DECLARE_DO_FUN(	do_meditate	);
DECLARE_DO_FUN(	do_memory	);
DECLARE_DO_FUN(	do_mfind	);
DECLARE_DO_FUN(	do_mload	);
DECLARE_DO_FUN(	do_mount	);
DECLARE_DO_FUN(	do_morph	);
DECLARE_DO_FUN(	do_mortal	);
DECLARE_DO_FUN(	do_mortalvamp	);
DECLARE_DO_FUN(	do_mset		);
DECLARE_DO_FUN(	do_mstat	);
DECLARE_DO_FUN(	do_mwhere	);
DECLARE_DO_FUN(	do_music	);
DECLARE_DO_FUN(	do_nightsight	);
DECLARE_DO_FUN(	do_noemote	);
DECLARE_DO_FUN(	do_north	);
DECLARE_DO_FUN(	do_note		);
DECLARE_DO_FUN(	do_notell	);
DECLARE_DO_FUN(	do_oclone	);
DECLARE_DO_FUN(	do_ofind	);
DECLARE_DO_FUN(	do_oload	);
DECLARE_DO_FUN(	do_open		);
DECLARE_DO_FUN(	do_order	);
DECLARE_DO_FUN(	do_oreturn	);
DECLARE_DO_FUN(	do_oset		);
DECLARE_DO_FUN(	do_ostat	);
DECLARE_DO_FUN(	do_oswitch	);
DECLARE_DO_FUN(	do_otransfer	);
DECLARE_DO_FUN(	do_pact		);
DECLARE_DO_FUN(	do_password	);
DECLARE_DO_FUN(	do_peace	);
DECLARE_DO_FUN(	do_permban	);
DECLARE_DO_FUN(	do_pick		);
DECLARE_DO_FUN(	do_pload	);
DECLARE_DO_FUN(	do_poison	);
DECLARE_DO_FUN(	do_practice	);
DECLARE_DO_FUN(	do_pray		);
DECLARE_DO_FUN(	do_press	);
DECLARE_DO_FUN(	do_preturn	);
DECLARE_DO_FUN(	do_prompt	);
DECLARE_DO_FUN(	do_propose	);
DECLARE_DO_FUN(	do_pset		);
DECLARE_DO_FUN(	do_pull		);
DECLARE_DO_FUN(	do_punch	);
DECLARE_DO_FUN(	do_stomp	);
DECLARE_DO_FUN(	do_purge	);
DECLARE_DO_FUN(	do_put		);
DECLARE_DO_FUN(	do_qmake	);
DECLARE_DO_FUN(	do_quaff	);
DECLARE_DO_FUN(	do_qset		);
DECLARE_DO_FUN(	do_qstat	);
DECLARE_DO_FUN(	do_qtrust	);
DECLARE_DO_FUN(	do_quest	);
DECLARE_DO_FUN(	do_question	);
DECLARE_DO_FUN(	do_qui		);
DECLARE_DO_FUN(	do_quit		);
DECLARE_DO_FUN(	do_rage		);
DECLARE_DO_FUN(	do_read		);
DECLARE_DO_FUN(	do_copyover	);
DECLARE_DO_FUN(	do_unread       );
DECLARE_DO_FUN(	do_readaura	);
DECLARE_DO_FUN(	do_reboo	);
DECLARE_DO_FUN(	do_reboot	);
DECLARE_DO_FUN(	do_recall	);
DECLARE_DO_FUN(	do_recharge	);
DECLARE_DO_FUN(	do_recho	);
DECLARE_DO_FUN(	do_recite	);
DECLARE_DO_FUN(	do_regenerate	);
DECLARE_DO_FUN(	do_release	);
DECLARE_DO_FUN(	do_reload	);
DECLARE_DO_FUN(	do_remove	);
DECLARE_DO_FUN(	do_reply	);
DECLARE_DO_FUN(	do_report	);
DECLARE_DO_FUN(	do_rescue	);
DECLARE_DO_FUN(	do_rest		);
DECLARE_DO_FUN(	do_restore	);
DECLARE_DO_FUN(	do_return	);
DECLARE_DO_FUN(	do_rset		);
DECLARE_DO_FUN(	do_rstat	);
DECLARE_DO_FUN(	do_sacrifice	);
DECLARE_DO_FUN(	do_safe		);
DECLARE_DO_FUN(	do_save		);
DECLARE_DO_FUN(	do_say		);
DECLARE_DO_FUN(	do_scan		);
DECLARE_DO_FUN(	do_score	);
DECLARE_DO_FUN(	do_scry		);
DECLARE_DO_FUN(	do_sell		);
DECLARE_DO_FUN(	do_serpent	);
DECLARE_DO_FUN(	do_shadowplane	);
DECLARE_DO_FUN(	do_shadowsight	);
DECLARE_DO_FUN(	do_sheath	);
DECLARE_DO_FUN(	do_shield	);
DECLARE_DO_FUN(	do_shoot	);
DECLARE_DO_FUN(	do_shout	);
DECLARE_DO_FUN(	do_shutdow	);
DECLARE_DO_FUN(	do_shutdown	);
DECLARE_DO_FUN(	do_show_artifacts);
DECLARE_DO_FUN(	do_side		);
DECLARE_DO_FUN(	do_silence	);
DECLARE_DO_FUN(	do_sit		);
DECLARE_DO_FUN(	do_skill	);
DECLARE_DO_FUN(	do_skillall	);
DECLARE_DO_FUN(	do_skillz  	);
DECLARE_DO_FUN(	do_sla		);
DECLARE_DO_FUN(	do_slay		);
DECLARE_DO_FUN(	do_sleep	);
DECLARE_DO_FUN(	do_slookup	);
DECLARE_DO_FUN(	do_speak	);
DECLARE_DO_FUN(	do_spc		);
DECLARE_DO_FUN(	do_special	);
DECLARE_DO_FUN(	do_spell	);
DECLARE_DO_FUN(	do_stake	);
DECLARE_DO_FUN(	do_stance	);
DECLARE_DO_FUN(	do_smother	);
DECLARE_DO_FUN(	do_sneak	);
DECLARE_DO_FUN(	do_snoop	);
DECLARE_DO_FUN(	do_socials	);
DECLARE_DO_FUN(	do_south	);
DECLARE_DO_FUN(	do_split	);
DECLARE_DO_FUN(	do_spy		);
DECLARE_DO_FUN(	do_spydirection	);
DECLARE_DO_FUN(	do_sset		);
DECLARE_DO_FUN(	do_stand	);
DECLARE_DO_FUN(	do_steal	);
DECLARE_DO_FUN(	do_summon	);
DECLARE_DO_FUN(	do_switch	);
DECLARE_DO_FUN(	do_teach	);
DECLARE_DO_FUN(	do_tear		);
DECLARE_DO_FUN(	do_tell		);
DECLARE_DO_FUN(	do_throw	);
DECLARE_DO_FUN(	do_tie		);
DECLARE_DO_FUN(	do_time		);
DECLARE_DO_FUN(	do_title	);
DECLARE_DO_FUN(	do_token	);
DECLARE_DO_FUN(	do_totems	);
DECLARE_DO_FUN(	do_track	);
DECLARE_DO_FUN(	do_tradition	);
DECLARE_DO_FUN(	do_train	);
DECLARE_DO_FUN(	do_transfer	);
DECLARE_DO_FUN(	do_transport	);
DECLARE_DO_FUN(	do_tribe	);
DECLARE_DO_FUN(	do_secttalk	);
DECLARE_DO_FUN(	do_truesight	);
DECLARE_DO_FUN(	do_trust	);
DECLARE_DO_FUN(	do_turn		);
DECLARE_DO_FUN(	do_twist	);
DECLARE_DO_FUN(	do_check	);
DECLARE_DO_FUN(	do_typo		);
DECLARE_DO_FUN(	do_unload	);
DECLARE_DO_FUN(	do_unlock	);
DECLARE_DO_FUN(	do_unpolymorph	);
DECLARE_DO_FUN(	do_untie	);
DECLARE_DO_FUN(	do_unwerewolf	);
DECLARE_DO_FUN(	do_up		);
DECLARE_DO_FUN(	do_upkeep	);
DECLARE_DO_FUN(	do_users	);
DECLARE_DO_FUN(	do_newusers	);
DECLARE_DO_FUN(	do_value	);
DECLARE_DO_FUN(	do_vampire	);
DECLARE_DO_FUN(	do_vamptalk	);
DECLARE_DO_FUN(	do_hooves	);
DECLARE_DO_FUN(	do_magetalk	);
DECLARE_DO_FUN(	do_vanish	);
DECLARE_DO_FUN(	do_vclan	);
DECLARE_DO_FUN(	do_version	);
DECLARE_DO_FUN(	do_visible	);
DECLARE_DO_FUN(	do_vote	);
DECLARE_DO_FUN(	do_voodoo	);
DECLARE_DO_FUN(	do_web		);
DECLARE_DO_FUN(	do_wake		);
DECLARE_DO_FUN(	do_watcher	);
DECLARE_DO_FUN(	do_watching	);
DECLARE_DO_FUN(	do_wear		);
DECLARE_DO_FUN(	do_wearaffect	);
DECLARE_DO_FUN(	do_weather	);
DECLARE_DO_FUN(	do_werewolf	);
DECLARE_DO_FUN(	do_west		);
DECLARE_DO_FUN(	do_where	);
DECLARE_DO_FUN(	do_whisper	);
DECLARE_DO_FUN(	do_who		);
DECLARE_DO_FUN(	do_animawalk	);
DECLARE_DO_FUN(	do_wimpy	);
DECLARE_DO_FUN(	do_wizhelp	);
DECLARE_DO_FUN(	do_wizlist	);
DECLARE_DO_FUN(	do_wizlock	);
DECLARE_DO_FUN(	do_write	);
DECLARE_DO_FUN(	do_xemote	);
DECLARE_DO_FUN(	do_xsocials	);
DECLARE_DO_FUN(	do_yell		);
DECLARE_DO_FUN(	do_zap		);
DECLARE_DO_FUN( do_olc		);
DECLARE_DO_FUN( do_asave	);
DECLARE_DO_FUN( do_alist	);
DECLARE_DO_FUN( do_resets	);
DECLARE_DO_FUN( do_showspecial	);
DECLARE_DO_FUN( do_beast	);
DECLARE_DO_FUN( do_mirror	);
DECLARE_DO_FUN( do_spriggan	);
DECLARE_DO_FUN( do_pounce	);
DECLARE_DO_FUN( do_burrow	);
DECLARE_DO_FUN( do_luna   	);
DECLARE_DO_FUN( do_moongate	);
DECLARE_DO_FUN( do_sphere	);
DECLARE_DO_FUN( do_sphereaffects);
DECLARE_DO_FUN( do_entropy_shield);
DECLARE_DO_FUN( do_force_shield );
DECLARE_DO_FUN( do_mind_shield  );
DECLARE_DO_FUN( do_life_shield  );
DECLARE_DO_FUN( do_prime_shield );
DECLARE_DO_FUN( do_spirit_shield);
DECLARE_DO_FUN( do_mage 	);
DECLARE_DO_FUN( do_create_foci  );
DECLARE_DO_FUN( do_focistat 	);
DECLARE_DO_FUN( do_charged_bolt );
DECLARE_DO_FUN( do_alter_flow   );
DECLARE_DO_FUN( do_mana_shield	);
DECLARE_DO_FUN( do_heal    	);
DECLARE_DO_FUN( do_pathos	);
DECLARE_DO_FUN( do_location     );
DECLARE_DO_FUN( do_travel	);
DECLARE_DO_FUN( do_speed_time	);
DECLARE_DO_FUN( do_slow_time	);
DECLARE_DO_FUN( do_dispel	);
DECLARE_DO_FUN( do_rip		);
DECLARE_DO_FUN( do_flames	);
DECLARE_DO_FUN( do_polymorph	);
DECLARE_DO_FUN( do_unmist	);
DECLARE_DO_FUN( do_mist	);
DECLARE_DO_FUN( do_mob		);
DECLARE_DO_FUN( do_mpstat	);
DECLARE_DO_FUN( do_mpdump	);
DECLARE_DO_FUN( do_counterspell );
DECLARE_DO_FUN( do_surrender	);
DECLARE_DO_FUN( do_cloak	);
DECLARE_DO_FUN( do_nightfall	);
DECLARE_DO_FUN( do_gaze		);
DECLARE_DO_FUN( do_confuse	);
DECLARE_DO_FUN( do_insane	);
DECLARE_DO_FUN( do_vsummon	);
DECLARE_DO_FUN( do_haunt	);
DECLARE_DO_FUN( do_awe		);
DECLARE_DO_FUN( do_moonbeam	);
DECLARE_DO_FUN( do_cookie	);
DECLARE_DO_FUN( do_greet	);
DECLARE_DO_FUN( do_meet	        );
DECLARE_DO_FUN( do_board	);
DECLARE_DO_FUN( do_askquest	);
DECLARE_DO_FUN( do_penalty	);
DECLARE_DO_FUN( do_style	);
DECLARE_DO_FUN( do_nature	);
DECLARE_DO_FUN( do_demeanor	);
DECLARE_DO_FUN( do_for		);
DECLARE_DO_FUN( do_clear	);
DECLARE_DO_FUN( do_roompose	);
DECLARE_DO_FUN( do_autocopy	);
DECLARE_DO_FUN( do_mob_hunt	);
DECLARE_DO_FUN( do_filet	);
DECLARE_DO_FUN( do_chop		);
DECLARE_DO_FUN( do_make_fire	);
DECLARE_DO_FUN( do_cook		);
DECLARE_DO_FUN( do_wash		);
DECLARE_DO_FUN( do_garou_status	);
DECLARE_DO_FUN( do_shapeshift	);
DECLARE_DO_FUN( do_tenebrous	);
DECLARE_DO_FUN( do_rent		);
DECLARE_DO_FUN( do_icy		);
DECLARE_DO_FUN( do_persuasion	);
DECLARE_DO_FUN( do_staredown	);
DECLARE_DO_FUN( do_witherlimb	);
DECLARE_DO_FUN( do_blur		);
DECLARE_DO_FUN( do_truefear	);
DECLARE_DO_FUN( do_scentbeyond	);
DECLARE_DO_FUN( do_disquiet	);
DECLARE_DO_FUN( do_aeolus	);
DECLARE_DO_FUN( do_porcupine	);
DECLARE_DO_FUN( do_obedience	);
DECLARE_DO_FUN( do_paralyzing	);
DECLARE_DO_FUN( do_clap		);
DECLARE_DO_FUN( do_fetishdoll	);
DECLARE_DO_FUN( do_invisibility	);
DECLARE_DO_FUN( do_wallgranite	);
DECLARE_DO_FUN( do_camouflage	);
DECLARE_DO_FUN( do_reshape	);
DECLARE_DO_FUN( do_teachgift	);
DECLARE_DO_FUN( do_halosun	);
DECLARE_DO_FUN( do_mother	);
DECLARE_DO_FUN( do_bodywrack	);
DECLARE_DO_FUN( do_wyld		);
DECLARE_DO_FUN( do_dazzle	);
DECLARE_DO_FUN( do_tail		);
DECLARE_DO_FUN( do_rain		);
DECLARE_DO_FUN( do_eclipse	);
DECLARE_DO_FUN( do_lightning	);
DECLARE_DO_FUN( do_wall		);
DECLARE_DO_FUN( do_animal	);
DECLARE_DO_FUN( do_fleshbond	);
DECLARE_DO_FUN( do_masssummons	);
DECLARE_DO_FUN( do_spclaw	);
DECLARE_DO_FUN( do_newmem	);
DECLARE_DO_FUN( do_tap_caern);
DECLARE_DO_FUN( aslan_axe);

