/*********************************************************
 *  settings
 */

#define STRSPACE_DEFAULT (1*1024)
			// unit is kB
			// purposely set too low, so that you'll see how it works

#define STRSPACE_INCREMENT 128
			// unit is kB

#define MPROGS_INSTALLED
			// comment out if you do not have Ivan's (or compatible) mob programs

#define DOUBLE_LOGGING
			// I have stdout redirected to a log file and stderr writing normally
			// to the console. (That helps with debugging.) All log strings are 
			// sent once to each stream if DOUBLE_LOGGING is defined, otherwise
			// only to stderr.

#define SHOW_ALL_RGSIZES
			// Comment out if you want memory report to show only used block sizes

#define ALLOC_PERM_ALIGN sizeof(int)
			// use powers of two only
			// higher values may improve speed significantly on some machines, at the expense of memory.
			// 32 should be the fastest value on most machines
			// I don't recommend values below machine word length, but feel free to experiment
			// setting it to 1 won't save much, but slow things down considerably


#define		MAX_MEM_LIST	11



/*********************************************************
 *  macros from mkw.h
 */
#ifndef __mkwMUD

#define MAGIC_CHECKING
 		// comment out disable internal assertion of memory allocation/recycling

#define chwrite( ch, str )	send_to_char( str, ch )
			// I find send_to_char()'s syntax counter-intuitive

#define object_free obj_free
			// easy fix for name inconsistency in merc

#define OK  0
#define ERR 1

#endif
/*********************************************************
 *  macros from mkw.h
 */
#ifndef __mkwMUD

#define MAGIC_CHECKING
 		// comment out disable internal assertion of memory allocation/recycling

#define chwrite( ch, str )	send_to_char( str, ch )
			// I find send_to_char()'s syntax counter-intuitive

#define object_free obj_free
			// easy fix for name inconsistency in merc

#define OK  0
#define ERR 1

#endif
